## org.apache.aries.subsystem.core.archive
Class BundleVersionHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractHeader
          org.apache.aries.subsystem.core.archive.VersionHeader
              org.apache.aries.subsystem.core.archive.BundleVersionHeader

All Implemented Interfaces:
  Header

    public class BundleVersionHeader

extends VersionHeader

Field Summary
`static BundleVersionHeader` `DEFAULT`
`static String` `DEFAULT_VALUE`
`static String` `NAME`

Fields inherited from class org.apache.aries.subsystem.core.archive.VersionHeader
`version`

Fields inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`clauses, name, PATTERN, REGEX, value`

Constructor Summary
`BundleVersionHeader()`
`BundleVersionHeader(String value)`

Method Summary

Methods inherited from class org.apache.aries.subsystem.core.archive.VersionHeader
`getVersion`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`appendResource, getClauses, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_VALUE

    public static final String DEFAULT_VALUE

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DEFAULT

    public static final BundleVersionHeader DEFAULT

Constructor Detail

### BundleVersionHeader

    public BundleVersionHeader()

### BundleVersionHeader

    public BundleVersionHeader(String value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.